CVE-2020-12430

Priority
Description
An issue was discovered in qemuDomainGetStatsIOThread in qemu/qemu_driver.c
in libvirt 4.10.0 though 6.x before 6.1.0. A memory leak was found in the
virDomainListGetStats libvirt API that is responsible for retrieving domain
statistics when managing QEMU guests. This flaw allows unprivileged users
with a read-only connection to cause a memory leak in the domstats command,
resulting in a potential denial of service.
Assigned-to
mdeslaur
Notes
mdeslaurlp-1868539-qemuDomainGetStatsIOThread-Don-t-leak-array-with-0-i.patch
in focal/groovy
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):not-affected (code not present)
Ubuntu 14.04 ESM (Trusty Tahr):not-affected (code not present)
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (code not present)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (code not present)
Ubuntu 19.10 (Eoan Ermine):released (5.4.0-0ubuntu5.4)
Ubuntu 20.04 LTS (Focal Fossa):released (6.0.0-0ubuntu6)
Ubuntu 20.10 (Groovy Gorilla):released (6.0.0-0ubuntu6)
Patches:
Upstream:https://libvirt.org/git/?p=libvirt.git;a=commit;h=9bf9e0ae6af38c806f4672ca7b12a6b38d5a9581
More Information

Updated: 2020-05-21 19:15:38 UTC (commit 1857171283772f1f0527cca8d67d08598c24448e)